Bug 1314517 - set the session name with 'sessionname' on configuration file lock the terminal resizing
set the session name with 'sessionname' on configuration file lock the termin...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: screen (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Josef Ridky
BaseOS QE - Apps
:
Depends On:
Blocks: 1358241 1420851 1473733
  Show dependency treegraph
 
Reported: 2016-03-03 14:55 EST by João Avelino Bellomo Filho
Modified: 2018-04-11 16:28 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1358241 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jridky: needinfo+


Attachments (Terms of Use)

  None (edit)
Description João Avelino Bellomo Filho 2016-03-03 14:55:09 EST
Description of problem:

When the 'sessionname' is used to set the session name of a new screen session the terminal resizing works on window, but the 'tput' command still showing the initial size.

Version-Release number of selected component (if applicable):

screen-4.1.0-0.23.20120314git3c2946.el7_2.x86_64

How reproducible:


Steps to Reproduce:
1. Open a new window, could be used 'gnome-terminal' or 'xterm' command:

$ xterm

2. Create a screen configuration file setting a session name:

$ cat /tmp/screen-testing.rc 
sessionname TESTING

3. Execute the 'screen' command setting the configuration file and check the current terminal size:

$ screen -c /tmp/screen-testing.rc 
$ tput lines
24
$ tput cols
80

4. Resize the window and execute the 'tput' commands again:

$ tput lines
$ tput col

Actual results:
$ tput lines
24
$ tput cols
80

Expected results:
$ tput lines
34
$ tput cols
101

Additional info:
Comment 2 Tim Speetjens 2016-05-25 04:33:33 EDT
This issue seems to exist on RHEL5, RHEL6 and RHEL7.

Do we have an upstream bug for this?

Thanks

Note You need to log in before you can comment on or make changes to this bug.